Page 1 of 1

UpdateThonny

Posted: Thu Nov 15, 2018 10:06 pm
by michielsjef
I installed raspbian and it comes with Thonny 2.1.16 and Python 3.5.3. I would like to update to Thonny 3.0.5.
I failed using a package manager (synaptic) as well as with commande line (sudo apt install python3-thonny).
Both methods said the latest version is 2.0.16, which is not true.
How to update Thonny?
Thanks.

Re: UpdateThonny

Posted: Fri Nov 16, 2018 5:08 am
by klricks
michielsjef wrote:
Thu Nov 15, 2018 10:06 pm
I installed raspbian and it comes with Thonny 2.1.16 and Python 3.5.3. I would like to update to Thonny 3.0.5.
I failed using a package manager (synaptic) as well as with commande line (sudo apt install python3-thonny).
Both methods said the latest version is 2.0.16, which is not true.
How to update Thonny?
Thanks.
Thonny 2.1.6 is the latest in the default Raspbian Stretch repository. So the PM or command line will only see that version.
Raspbian Stretch closely follows Debian Stretch which has a very strict update policy. Basically only security updates are let through.
There is a new major release about every 2 years so most software will be held at the same version until the next major update.
The next release is named 'Buster' and is due out mid 2019 and will have Thonny 3.0.5
It is not uncommon for Debian software packages to be several versions behind what might be available elsewhere.

It may be possible to get later versions by changing to a different repository but not recommended because it is very easy to trash the current OS if you don't know exactly what you are doing.

Is there a specific reason that you think you need 3.0.5?

Re: UpdateThonny

Posted: Fri Nov 16, 2018 7:43 am
by DirkS
klricks wrote:
Fri Nov 16, 2018 5:08 am
Thonny 2.1.6 is the latest in the default Raspbian Stretch repository. So the PM or command line will only see that version.
Raspbian Stretch closely follows Debian Stretch which has a very strict update policy. Basically only security updates are let through.
Thonny is actually in the RPF repo, so it does not necessarily follow the Debian policies
Also see viewtopic.php?f=66&t=226486

Re: UpdateThonny

Posted: Fri Nov 16, 2018 8:28 am
by B.Goode
How to update Thonny?


Use the most recent, November 2018, release of Raspbian for which the Release Notes say:
* Version 3.0.5 of Thonny included

Re: UpdateThonny

Posted: Fri Nov 16, 2018 8:31 am
by ShiftPlusOne
It should be in the repo later today.

Re: UpdateThonny

Posted: Fri Nov 16, 2018 2:16 pm
by Paul Webster

Re: UpdateThonny

Posted: Fri Nov 16, 2018 3:18 pm
by DirkS
Paul Webster wrote:
Fri Nov 16, 2018 2:16 pm
V3 features in today’s blog post
https://www.raspberrypi.org/blog/raspbi ... mber-2018/
Update/upgrade (or fresh install, of course) will get you 3.0.8

Re: UpdateThonny

Posted: Sat Nov 17, 2018 5:51 pm
by michielsjef
Thank you all for your answers.
I installed Raspbian a week before the new release, without knowing it :D . I will try to update the OS.

The reason I wanted to update Thonny is to get the latest version of Python (I'm already an advanced user of statistical software like R, SAS and JSL and wanted to learn Python).

Probably, it is possible to update Python without updating Thonny ?
This is my next question. But first, I will try to update the OS.
Thanks.

Re: UpdateThonny

Posted: Sat Nov 17, 2018 6:10 pm
by Idahowalker
Last night, using Synaptic, I got a Thonny update.